%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name MissingH
%define f_pkg_name missingh
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 1.1.0
Release: alt1

Summary: Library of utility functions for Haskell
License: GPLv2
Group: Development/Haskell

Packager: Maxim Ivanov <redbaron@altlinux.org>

Source: %name-%version.tar

BuildRequires: ghc %hs_package_dependencies base bytestring >= 0.9
BuildRequires: %hs_package_dependencies regex-compat parsec network hslogger
BuildRequires: %hs_package_dependencies QuickCheck HUnit testpack
BuildRequires(pre): rpm-build-haskell
#BuildRequires: bzlib-devel
#Requires: bzlib-devel


%description
MissingH is a library of all sorts of utility functions for
Haskell programmers.  It is written in pure Haskell and thus should
be extremely portable and easy to use.  It also has no prerequisites
save those that are commonly included with Haskell compilers.

MissingH is based on my MissingLib library for OCaml and contains some
of the same features.  However, some features are left behind because
they are already in Haskell or not needed here -- and others are added
due to things Haskell is missing, or things that Haskell makes
possible.


%prep
%setup

%build
if [ -f configure.ac -a ! -f configure ]; then autoreconf; fi
runghc Setup configure --prefix=%_prefix --libdir=%_libdir --docdir=%_docdir/%hsc_namever-%f_pkg_name-%version --libsubdir='$compiler/lib/$pkgid' --disable-library-profiling --ghc
if runghc Setup makefile -f cabal-rpm.mk
then
   %make_build -f cabal-rpm.mk || :
fi
runghc Setup build
runghc Setup haddock || :
runghc Setup register --gen-pkg-config=%f_pkg_name.pkg


%install
runghc Setup copy --destdir=%buildroot
install -m 755 %f_pkg_name.pkg %buildroot%pkg_libdir

mkdir -p %buildroot%hs_pkgconfdir
%hs_package_register %f_pkg_name.pkg %buildroot%hs_pkgconfdir/%f_pkg_name.conf

cd %buildroot
find .%pkg_libdir \( -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.prof
find .%pkg_libdir -type d | sed 's/^./%dir /' >> %_builddir/%{?buildsubdir}/%name-files.nonprof
find .%pkg_libdir ! \( -type d -o -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.nonprof
sed 's,^/,%exclude /,' %_builddir/%{?buildsubdir}/%name-files.prof >> %_builddir/%{?buildsubdir}/%name-files.nonprof

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name.conf

%doc dist/doc/html


%changelog
* Mon May 25 2009 Ivanov Maxim <redbaron@altlinux.org> 1.1.0-alt1
- Initial build for ALTLinux 

